Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class SQLMapInfo

    java.lang.Object
      toolkit.db.api.SQLMapInfo

    public class SQLMapInfo

extends java.lang.Object

The `SQLMapInfo` is a structured class that represents mapping relations between mapping names and sql names of tables/columns.

Field Summary
`static int` | `PATTERN_1PART_NAME` Selected tables in SQL are unqualified.
`static int` | `PATTERN_2PART_NAME` Selected columns in SQL are qualified in two-part name pattern.
`static int` | `PATTERN_3PART_NAME` Selected columns in SQL are qualified in three-part name pattern.

Constructor Summary
`SQLMapInfo()` Constructs a new instance by qlfOpt with default value `PATTERN_1PART_NAME`.
`SQLMapInfo(int qlfOpt)` Constructs a new instance with specified qlfOpt.

Method Summary
`java.util.Hashtable` | `getColMap()` Gets colMap.
`int` | `getQlfOpt()` Gets qualified pattern option `qlfOpt`.
`java.util.Hashtable` | `getTabMap()` Gets tabMap.
`void` | `setQlfOpt(int plfOpt)` Sets qualified pattern option `qlfOpt` with specified parameter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATTERN_1PART_NAME

    public static final int PATTERN_1PART_NAME

  Selected tables in SQL are unqualified. For example:

  >           SELECT t.c FROM t

  See Also:
    Constant Field Values

### PATTERN_2PART_NAME

    public static final int PATTERN_2PART_NAME

  Selected columns in SQL are qualified in two-part name pattern. For example:

  >           SELECT schema.t.c FROM schema.t

  See Also:
    Constant Field Values

### PATTERN_3PART_NAME

    public static final int PATTERN_3PART_NAME

  Selected columns in SQL are qualified in three-part name pattern. For example:

  >           SELECT catalog.schema.t.c FROM catalog.schema.t

  See Also:
    Constant Field Values

Constructor Detail

### SQLMapInfo

    public SQLMapInfo()

  Constructs a new instance by qlfOpt with default value `PATTERN_1PART_NAME`.

  Parameters:
    `qlfOpt` - Qualified pattern option.

### SQLMapInfo

    public SQLMapInfo(int qlfOpt)

  Constructs a new instance with specified qlfOpt.

  Parameters:
    `qlfOpt` - Qualified pattern option.

Method Detail

### getTabMap

    public java.util.Hashtable getTabMap()

  Gets tabMap. Usually, users call this method to get tabMap, then modify its values.

  See Also:
    `getColMap()`

### getColMap

    public java.util.Hashtable getColMap()

  Gets colMap. Usually, users call this method to get colMap, then modify its values.

  See Also:
    `getTabMap()`

### getQlfOpt

    public int getQlfOpt()

  Gets qualified pattern option `qlfOpt`.

### setQlfOpt

    public void setQlfOpt(int plfOpt)

  Sets qualified pattern option `qlfOpt` with specified parameter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD